Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | Safe
Language | Haskell2010

Agda.Interaction.Library.Parse

Synopsis

- parseLibFile :: FilePath -> IO (P AgdaLibFile)
- stripComments :: String -> String
- splitCommas :: String -> [String]

# Documentation

parseLibFile :: FilePath -> IO (P AgdaLibFile) #

.agda-lib parser

stripComments :: String -> String #

...and trailing, but not leading, whitespace.

splitCommas :: String -> [String] #